LSCPU(1)

BEZEICHNUNG
lscpu - Informationen zur Prozessorarchitektur anzeigen

ÜBERSICHT

lscpu [Optionen]

BESCHREIBUNG

lscpu beschafft Informationen zur CPU-Architektur aus sysfs, /proc/cpuinfo und jeder anwendbaren architekturspezifischen Bibliothek (z.B. librtas auf PowerPC). Die Ausgabe des Befehls kann entweder für maschinelle Auswertung oder für bessere Lesbarkeit für den Benutzer optimiert werden. Die Informationen beinhalten beispielsweise die Anzahl der CPUs, Threads, Kerne, Sockel und »Non-Uniform Memory Access« (NUMA-)Knoten. Außerdem werden Informationen zu CPU-Caches und deren gemeinsamer Nutzung, Prozessorfamilie und -modell, bogoMIPS, Bytereihenfolge und Stepping bereitgestellt.

Die standardmäßige Ausgabeformatierung auf dem Terminal ist ist Änderungen unterworfen und wird möglicherweise für bessere Lesbarkeit optimiert. Die Ausgabe für Nicht-Terminals (beispielsweise Pipes) ist von dieser Optimierung niemals betroffen und erfolgt immer im Format »Feld: Daten\n«. Sie können beispielsweise mit »lscpu | less« die standardmäßige Ausgabe ohne Optimierungen ansehen.

In virtualisierten Umgebungen gibt die angezeigte CPU-Architektur die Konfiguration des Gäste-Betriebssystems wider, die sich typischerweise von der des physischen (Wirts-)Systems unterscheidet. Auf Architekturen, die die Ermittlung der physischen Topologieinformation unterstützen, zeigt lscpu auch die Anzahl der physischen Sockel, Chips, Kerne des Wirtsystems an.

Optionen, deren Ausgabe in Tabellenform dargestellt wird, haben ein Liste-Argument. Verwenden Sie dieses Argument zum Anpassen der Ausgabe an Ihre Erfordernisse. Geben Sie eine durch Kommata getrennte Liste von Spaltenüberschriften in der gewünschten Reihenfolge an, um die Ausgabe auf bestimmte Spalten zu beschränken. In SPALTEN finden Sie eine Liste der verfügbaren Spaltenüberschriften (für die Groß- oder Kleinschreibung nicht beachtet wird).

Nicht alle Spalten werden auf allen Architekturen unterstützt. Wenn eine solche Spalte angegeben wird, zeigt lscpu diese an, stellt aber keine Daten zur Verfügung.

Die Cache-Größen werden als Zusammenfassung aller CPUs gemeldet. In den Versionen vor 2.34 wurden die Größen auf den Kern bezogen, aber diese Ausgabe war aufgrund der komplizierten CPU-Topologie und wie Cache von den CPUs gemeinsam genutzt wird, verwirrend. Für weitere Details zu Caches, siehe --cache. Seit Version 2.37 folgt lscpu den Cache-Kennungen, wie sie vom Kernel bereitgestellt werden und startet nicht immer von 0.

OPTIONEN

-a, --all
    bezieht sowohl Online- als auch Offline-CPUs in die Ausgabe ein (Voreinstellung für -e). Diese Option darf nur zusammen mit -e oder -p angegeben werden.

-B, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-b, --online
    begrenzt die Ausgabe auf Offline-CPUs (Vorgabe für -p). Diese Option darf nur zusammen mit -e oder -p angegeben werden.

-C, --caches[=Liste]
    zeigt Details zu CPU-Caches an. Für Details zu den verfügbaren Informationen siehe die Ausgabe von --help.

    Wenn das Argument Liste nicht angegeben ist, werden alle Spalten in der Ausgabe angezeigt, für die Daten verfügbar sind.

    Wenn das Liste-Argument verwendet wird, dürfen zwischen Optionszeichenkette, Gleichheitszeichen und Liste keine Leerzeichen oder sonstigen Freiräume eingefügt werden. Beispiele: -C=NAME,ONE-SIZE oder --caches=NAME,ONE-SIZE.

    Sie können die vorgegebene Spaltenliste erweitern, wenn Sie die Liste im Format +Liste angeben (zum Beispiel lscpu -C=+ALLOC-POLICY).

-c, --offline
    begrenzt die Ausgabe auf Offline-CPUs. Diese Option darf nur zusammen mit -e oder -p angegeben werden.

--hierarchic[=wann]
    Use subsections in summary output. For backward compatibility, the default is to use subsections only when output on a terminal and flattened output on a non-terminal. The optional argument when can be never, always or auto. If the when argument is omitted, it defaults to "always".

-e, --extended[=Liste]
    gibt die Prozessorinformation in einem menschenlesbaren Format aus.

    Wenn das Argument Liste nicht angegeben ist, werden die Standardspalten in der Ausgabe angezeigt. Die standardmäßig angezeigten Spalten sind möglicherweise Änderungen unterworfen.

    Wenn das Liste-Argument verwendet wird, dürfen zwischen Optionszeichenkette, Gleichheitszeichen und Liste keine Leerzeichen oder sonstigen Freiräume eingefügt werden. Beispiele: »-e=cpu,node« oder »--extended=cpu,node«.

    Sie können die vorgegebene Spaltenliste erweitern, wenn Sie die Liste im Format +Liste angeben (zum Beispiel lscpu -e=+MHZ).

-J, --json
    Use JSON output format for the default summary or extended output (see --extended). For backward compatibility, JSON output follows the default summary behavior for non-terminals (e.g., pipes) where subsections are missing. See also --hierarchic.

-p, --parse[=Liste]
    optimiert die Befehlsausgabe für die maschinelle Auswertung.

    Falls das Argument Liste nicht angegeben ist, dann geschieht die Ausgabe abwärtskompatibel zu früheren Versionen von lscpu. Dieses abwärtskompatible Format verwendet zwei Kommata zum Trennen der Spalten für den CPU-Cache. Falls keine CPU-Caches erkannt werden, wird die Cache-Spalte gar nicht angezeigt. Wenn das Liste-Argument verwendet wird, werden die Cache-Spalten mit einem Doppelpunkt (:) getrennt.

    Wenn das Liste-Argument verwendet wird, dürfen zwischen Optionszeichenkette, Gleichheitszeichen und Liste keine Leerzeichen oder sonstigen Freiräume eingefügt werden. Beispiele: »-p=cpu,node« oder »--parse=cpu,node«.

    Sie können die vorgegebene Spaltenliste erweitern, wenn Sie die Liste im Format +Liste angeben (zum Beispiel lscpu -p=+MHZ).

-s, --sysroot Verzeichnis
    beschafft Daten für eine fremde Linux-Instanz, nicht jene, auf der der Befehl lscpu aufgerufen wird. Das angegebene Verzeichnis ist die Dateisystemwurzel der zu untersuchenden Linux-Instanz.

-x, --hex
    verwendet die Hexadezimalschreibweise für CPU-Sätze, z.B. »ff«. Per Vorgabe wird die Listenschreibweise verwendet (z.B. 0,1). Beachten Sie, das vor Version 2.30 die Maske mit dem Präfix 0x ausgegeben wurde.

-y, --physical
    zeigt die physischen Kennungen für alle Spalten mit Topologieelementen (Kern, Sockel usw.) an. Anders als logische Kennungen, die von lscpu zugewiesen werden, sind physische Kennungen plattformabhängige Werte, die vom Kernel bereitgestellt werden. Physische Kennungen sind nicht notwendigerweise eindeutig und sie müssen nicht sequenziell angeordnet sein. Falls der Kernel keine physische ID für ein Element ermitteln konnte, gibt lscpu einen Bindestrich (-) aus.

    Die logischen CPU-Nummern werden von dieser Option nicht beeinflusst.

--output-all
    gibt alle verfügbaren Spalten aus. Diese Option muss entweder mit --extended, --parse oder --caches kombiniert werden.

FEHLER

The basic overview of CPU models is based on heuristics, taking into account differences such as CPU model names and implementer IDs. In some (unusual) cases, CPUs may differentiate in flags or BogoMIPS, but these differences are ignored in the lscpu overview.

Gelegentlich liefert der Kernel in Xen Dom0 falsche Daten.

Auf virtueller Hardware kann die Anzahl der Kerne pro Sockel usw. falsch sein.

AUTOREN

SIEHE AUCH

chcpu(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl lscpu ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.